params = [25.48, 8.81, 9.01, 446.71, 382.67, 942.05] # 457.19

def init(p):
    """This function will be called after a Player object is created.
    You can initialize extra features here.
    You can also set a default score here."""
    p.rounds = 0
    p.score = 1000

def calc(stats):
    Ks = params[0:3]
    Ns = params[3:6]
    for p in stats:
        if p.win: w,rank = p,p.score
        p.rounds += 1
        
    for p in stats:
        if p.win: continue
        cur = p.score
        k = Ks[len(stats) - 2]
        n = Ns[len(stats) - 2]
        p.score += k*(0 - (1.0/(1+pow(10,(rank-cur)/n))))
        w.score += k*(1 - (1.0/(1+pow(10,(cur-rank)/n))))
