import re

#mewotwo wins - all 3 numbers
ROUNDS = [
    ('final_5.txt',10),
    ('final_10.txt',5),
    ('final_10-skip.txt',5),
    ('final_all.txt',5),
    ('final_all-skip.txt',5),
    ]

#mewotwo wins - all 3 numbers
#ROUNDS = [
    #('final_5.txt',10),
    #('final_10.txt',10),
    #('final_all.txt',10),
    #]

#mewotwo wins - all 3 numbers
#ROUNDS = [
    #('final_5.txt',10),
    #('final_10-skip.txt',10),
    #('final_all-skip.txt',10),
    #]

#mewotwo wins - all 3 numbers
#ROUNDS = [
    #('final_10.txt',5),
    #('final_10-skip.txt',5),
    #('final_all.txt',5),
    #('final_all-skip.txt',5),
    #]

def parse(content):
    r = []
    for line in content.split('\n'):
        line = line.strip()
        line = re.sub('\s+',' ',line)
        parts = line.split(' ')
        if len(parts) != 6: continue
        print parts
        r.append((parts[1],float(parts[2]),float(parts[3])))
    return r
        
def normalize(r):
    mxs1,mxs2 = 0,0
    mns1,mns2 = 1000,1000
    for name,s1,s2 in r:
        mxs1 = max(mxs1,s1)
        mxs2 = max(mxs2,s2)
        mns1 = min(mns1,s1)
        mns2 = min(mns2,s2)
    rr = []
    for name,s1,s2 in r:
        rr.append((name,(s1-mns1)*1000/(mxs1-mns1),(s2-mns2)*1000/(mxs2-mns2)))
    return rr
        
def add(final,r,w):
    for name,s1,s2 in r:
        if name not in final:
            final[name] = [0,name,0,0]
        final[name][0] += (s1+s2)*w
        final[name][2] += s1*w
        final[name][3] += s2*w

def main():
    final = {}
    for fname,w in ROUNDS:
        print fname
        content = ''.join(open(fname,'r').readlines())
        results = parse(content)
        norm = normalize(results)
        add(final,norm,w)
        print ''
    res = final.values()
    res.sort()
    res.reverse()
    for v in res: print v

if __name__ == '__main__':
    main()